You don't need to worry about deleting it, just reuse it. Try this function.
Code:
Public Function AddSelectionSet(SetName As String) As AcadSelectionSet
' This routine does the error trapping neccessary for when you want to create a
' selectin set. It takes the set and the proposed name and either adds it to the selectionsets
' collection or sets it.
On Error Resume Next
Set AddSelectionSet = ThisDrawing.SelectionSets.Add(SetName)
If Err.Number <> 0 Then
Set AddSelectionSet = ThisDrawing.SelectionSets.Item(SetName)
End If
End Function
You can then clear the ss if you wish.
Code:
Dim ss As AcadSelectionSet
Set ss = AddSelectionSet("MySS")
ss.Clear